import { Property, View } from 'tns-core-modules/ui/core/view';
import { PagerBase } from './pager.common';
export * from './pager.common';
export { Transformer, EventData, ItemsSource } from './pager.common';
export declare class Pager extends PagerBase {
    nativeViewProtected: any;
    _androidViewId: number;
    private _disableAnimation;
    pagesCount: number;
    widthMeasureSpec: number;
    heightMeasureSpec: number;
    perPage: number;
    private _observableArrayInstance;
    itemTemplateUpdated(oldData: any, newData: any): void;
    private _oldDisableAnimation;
    _pagerAdapter: any;
    private _views;
    private _pageListener;
    _realizedItems: Map<any, View>;
    _realizedTemplates: Map<string, Map<any, View>>;
    lastEvent: number;
    private _lastSpacing;
    private _lastPeaking;
    private compositeTransformer;
    private marginTransformer;
    private _transformers;
    private _selectedIndexBeforeLoad;
    private _pager;
    private _indicatorView;
    constructor();
    views: Array<any>;
    readonly android: any;
    readonly pager: any;
    readonly indicatorView: any;
    createNativeView(): any;
    initNativeView(): void;
    onLayoutChange(args: any): void;
    private _setSpacing;
    private _setPeaking;
    private _setIndicator;
    private _setTransformers;
    private _observableArrayHandler;
    disposeNativeView(): void;
    disableAnimation: boolean;
    readonly pagerAdapter: any;
    readonly _childrenCount: number;
    private _updateScrollPosition;
    onLoaded(): void;
    scrollToIndexAnimated(index: number, animate: boolean): void;
    _onItemsChanged(oldValue: any, newValue: any): void;
    refresh(): void;
    updatePagesCount(value: number): void;
    onUnloaded(): void;
    eachChildView(callback: (child: View) => boolean): void;
    updateAdapter(): void;
    _selectedIndexUpdatedFromNative(newIndex: number): void;
    _addChildFromBuilder(name: string, value: any): void;
    _horizontalOffset: number;
    readonly horizontalOffset: number;
    _verticalOffset: number;
    readonly verticalOffset: number;
}
export declare const pagesCountProperty: Property<Pager, number>;
