import { View } from 'tns-core-modules/ui/core/view';
import { PagerBase } from './pager.common';
export { Transformer, EventData, ItemsSource } from './pager.common';
export * from './pager.common';
export declare class Pager extends PagerBase {
    lastEvent: number;
    private _disableSwipe;
    private _disableAnimation;
    _layout: any;
    private _initialLoad;
    _preparingCell: boolean;
    _delegate: any;
    private _dataSource;
    _map: Map<PagerCell, View>;
    borderRadius: number;
    borderWidth: number;
    borderColor: string;
    backgroundColor: any;
    _isDirty: boolean;
    _isRefreshing: boolean;
    private _pager;
    private _indicatorView;
    private _observableArrayInstance;
    constructor();
    readonly pager: any;
    readonly indicatorView: any;
    createNativeView(): UIView;
    initNativeView(): void;
    readonly ios: any;
    private _setIndicator;
    readonly _childrenCount: number;
    itemTemplateUpdated(oldData: any, newData: any): void;
    private _setNativeClipToBounds;
    eachChildView(callback: (child: View) => boolean): void;
    private _updateScrollPosition;
    private _observableArrayHandler;
    _onItemsChanged(oldValue: any, newValue: any): void;
    _scrollToIndexAnimated(index: number, animate: boolean): void;
    scrollToIndexAnimated(index: number, animate: boolean): void;
    private _reset;
    private _refresh;
    refresh(): void;
    onLoaded(): void;
    onUnloaded(): void;
    disposeNativeView(): void;
    disableAnimation: boolean;
    _removeContainer(cell: PagerCell, indexPath?: NSIndexPath): void;
    measure(widthMeasureSpec: number, heightMeasureSpec: number): void;
    onMeasure(widthMeasureSpec: number, heightMeasureSpec: number): void;
    onLayout(left: number, top: number, right: number, bottom: number): void;
    requestLayout(): void;
    private _setPadding;
    _prepareCell(cell: PagerCell, indexPath: NSIndexPath): void;
    _layoutCell(cellView: View, index: NSIndexPath): void;
    _addChildFromBuilder(name: string, value: any): void;
    readonly horizontalOffset: number;
    readonly verticalOffset: number;
    _getSpacing(): number;
    _getPeaking(): number;
    _getSize(w?: number, h?: number): {
        width: number;
        height: number;
    };
}
export declare class PagerCell extends UICollectionViewCell {
    owner: WeakRef<View>;
    index: NSIndexPath;
    readonly view: View;
    static initWithEmptyBackground(): PagerCell;
    willMoveToSuperview(newSuperview: UIView): void;
}
